Show / Hide Table of Contents

# Class TaskResult

Mimic a Task but you can set AsyncState

##### Inheritance

Object
TaskResult

##### Implements

IAsyncResult

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.StreamExtended.Network

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class TaskResult : IAsyncResult

### Constructors

| Improve this Doc View Source

#### TaskResult(Task, Object)

##### Declaration

    public TaskResult(Task pTask, object state)

##### Parameters

Type | Name | Description
--- | --- | ---
Task | pTask |
Object | state |

### Properties

| Improve this Doc View Source

#### AsyncState

##### Declaration

    public object AsyncState { get; }

##### Property Value

Type | Description
--- | ---
Object |

| Improve this Doc View Source

#### AsyncWaitHandle

##### Declaration

    public WaitHandle AsyncWaitHandle { get; }

##### Property Value

Type | Description
--- | ---
WaitHandle |

| Improve this Doc View Source

#### CompletedSynchronously

##### Declaration

    public bool CompletedSynchronously { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### IsCompleted

##### Declaration

    public bool IsCompleted { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

### Methods

| Improve this Doc View Source

#### GetResult()

##### Declaration

    public void GetResult()

### Implements

System.IAsyncResult